Skip to main content
`Ctrl`+`K`

# VECHIP

VECHIP = “hip” - A `VECSEQHIP` on a single-process MPI communicator, and `VECMPIHIP` otherwise.

## Options Database Key

- -vec_type hip - sets the vector type to `VECHIP` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECSEQHIP`, `VECMPIHIP`, `VECSTANDARD`, `VecType`, `VecCreateMPI()`, `VecSetPinnedMemoryMin()`, `VECCUDA`

## Level

beginner

## Location

src/vec/vec/impls/mpi/cupm/hip/vecmpicupm.hip.cpp

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages